## org.eclipse.datatools.connectivity.oda.consumer.helper
Class OdaRowSet

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.consumer.helper.OdaObject
          org.eclipse.datatools.connectivity.oda.consumer.helper.OdaDriverObject
              org.eclipse.datatools.connectivity.oda.consumer.helper.OdaResultSet
                  org.eclipse.datatools.connectivity.oda.consumer.helper.OdaRowSet

All Implemented Interfaces:
  IParameterRowSet, IResultSet

public class OdaRowSet
extends OdaResultSet
implements IParameterRowSet

OdaRowSet is the Oda wrapper for rowsets.

Method Summary
`boolean` `absolute(int rowIndex)` Moves the cursor to the designated row number.
`int` `add()` Appends a new row to the end of this collection and moves the cursor to the new row's position.
`void` `clear()` Removes all of the elements from this collection.
`boolean` `isEmpty()` Determines whether this does not contain any elements.
`boolean` `previous()` Moves the cursor up one element from its current position.
`void` `setBigDecimal(int columnIndex, java.math.BigDecimal value)` Sets the decimal value at the designated column.
`void` `setBigDecimal(java.lang.String columnName, java.math.BigDecimal value)` Sets the decimal value at the designated column.
`void` `setDate(int columnIndex, java.sql.Date value)` Sets the date value at the designated column.
`void` `setDate(java.lang.String columnName, java.sql.Date value)` Sets the date value at the designated column.
`void` `setDouble(int columnIndex, double value)` Sets the double value at the designated column.
`void` `setDouble(java.lang.String columnName, double value)` Sets the double value at the designated column.
`void` `setInt(int columnIndex, int value)` Sets the integer value at the designated column.
`void` `setInt(java.lang.String columnName, int value)` Sets the integer value at the designated column.
`void` `setString(int columnIndex, java.lang.String value)` Sets the string value at the designated column.
`void` `setString(java.lang.String columnName, java.lang.String value)` Sets the string value at the designated column.
`void` `setTime(int columnIndex, java.sql.Time value)` Sets the time value at the designated column.
`void` `setTime(java.lang.String columnName, java.sql.Time value)` Sets the time value at the designated column.
`void` `setTimestamp(int columnIndex, java.sql.Timestamp value)` Sets the time stamp value at the designated column.
`void` `setTimestamp(java.lang.String columnName, java.sql.Timestamp value)` Sets the time stamp value at the designated column.
`int` `size()` Returns the number of elements in this collection.

Methods inherited from class org.eclipse.datatools.connectivity.oda.consumer.helper.OdaResultSet

`close, findAndInvokeMethod, findColumn, getBigDecimal, getBigDecimal, getBigDecimalAsString, getBigDecimalAsString, getBlob, getBlob, getClob, getClob, getClobAsString, getClobAsString, getDate, getDate, getDateAsString, getDateAsString, getDouble, getDouble, getInt, getInt, getInterfaceName, getMetaData, getRow, getString, getString, getTime, getTime, getTimeAsString, getTimeAsString, getTimestamp, getTimestamp, getTimestampAsString, getTimestampAsString, next, setMaxRows, setThrowAndSetOdaException, wasNull`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.oda.IResultSet
`close, findColumn, getBigDecimal, getBigDecimal, getBlob, getBlob, getClob, getClob, getDate, getDate, getDouble, getDouble, getInt, getInt, getMetaData, getRow, getString, getString, getTime, getTime, getTimestamp, getTimestamp, next, setMaxRows, wasNull`

Method Detail

### absolute

    public boolean absolute(int rowIndex)
                     throws OdaException

  Description copied from interface: `IParameterRowSet`
  Moves the cursor to the designated row number.

  Specified by:
    `absolute` in interface `IParameterRowSet`
  Parameters:
    `rowIndex` - the row number (1-based).
  Returns:
    true, if cursor is moved successfully to the desired row.
  Throws:
    `OdaException` - if data source error occurs.

### previous

    public boolean previous()
                     throws OdaException

  Description copied from interface: `IParameterRowSet`
  Moves the cursor up one element from its current position.
  An optional method.

  Specified by:
    `previous` in interface `IParameterRowSet`
  Returns:
    true, if the cursor is moved successfully to a valid row.
  Throws:
    `OdaException` - if data source error occurs.

### add

    public int add()
            throws OdaException

  Description copied from interface: `IParameterRowSet`
  Appends a new row to the end of this collection and moves the cursor to the new row's position.
  Only required for input parameters.

  Specified by:
    `add` in interface `IParameterRowSet`
  Returns:
    0 if this failed to add a new row. Otherwise, the rowIndex of the new row.
  Throws:
    `OdaException` - if data source error occurs.

### clear

    public void clear()
               throws OdaException

  Description copied from interface: `IParameterRowSet`
  Removes all of the elements from this collection.
  An optional method.

  Specified by:
    `clear` in interface `IParameterRowSet`
  Throws:
    `OdaException` - if data source error occurs.

### isEmpty

    public boolean isEmpty()
                    throws OdaException

  Description copied from interface: `IParameterRowSet`
  Determines whether this does not contain any elements.

  Specified by:
    `isEmpty` in interface `IParameterRowSet`
  Returns:
    true, if this is empty.
  Throws:
    `OdaException` - if data source error occurs.

### size

    public int size()
             throws OdaException

  Description copied from interface: `IParameterRowSet`
  Returns the number of elements in this collection.

  Specified by:
    `size` in interface `IParameterRowSet`
  Returns:
    size of this collection.
  Throws:
    `OdaException` - if data source error occurs.

### setInt

    public void setInt(int columnIndex,
                       int value)
                throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the integer value at the designated column.

  Specified by:
    `setInt` in interface `IParameterRowSet`
  Parameters:
    `columnIndex` - index of the column.
    `value` - the integer value.
  Throws:
    `OdaException` - if data source error occurs.

### setInt

    public void setInt(java.lang.String columnName,
                       int value)
                throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the integer value at the designated column.

  Specified by:
    `setInt` in interface `IParameterRowSet`
  Parameters:
    `columnName` - name of the column.
    `value` - the integer value.
  Throws:
    `OdaException` - if data source error occurs.

### setDouble

    public void setDouble(int columnIndex,
                          double value)
                   throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the double value at the designated column.

  Specified by:
    `setDouble` in interface `IParameterRowSet`
  Parameters:
    `columnIndex` - index of the column.
    `value` - the double value.
  Throws:
    `OdaException` - if data source error occurs.

### setDouble

    public void setDouble(java.lang.String columnName,
                          double value)
                   throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the double value at the designated column.

  Specified by:
    `setDouble` in interface `IParameterRowSet`
  Parameters:
    `columnName` - name of the column.
    `value` - the double value.
  Throws:
    `OdaException` - if data source error occurs.

### setBigDecimal

    public void setBigDecimal(int columnIndex,
                              java.math.BigDecimal value)
                       throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the decimal value at the designated column.

  Specified by:
    `setBigDecimal` in interface `IParameterRowSet`
  Parameters:
    `columnIndex` - index of the column.
    `value` - the decimal value.
  Throws:
    `OdaException` - if data source error occurs.

### setBigDecimal

    public void setBigDecimal(java.lang.String columnName,
                              java.math.BigDecimal value)
                       throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the decimal value at the designated column.

  Specified by:
    `setBigDecimal` in interface `IParameterRowSet`
  Parameters:
    `columnName` - name of the column.
    `value` - the decimal value.
  Throws:
    `OdaException` - if data source error occurs.

### setString

    public void setString(int columnIndex,
                          java.lang.String value)
                   throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the string value at the designated column. An ODA runtime driver may or may not support setString() on a non-String type column. The format of the string parameter is implementation-dependent.

  Specified by:
    `setString` in interface `IParameterRowSet`
  Parameters:
    `columnIndex` - index of the column.
    `value` - the string value.
  Throws:
    `OdaException` - if data source error occurs.

### setString

    public void setString(java.lang.String columnName,
                          java.lang.String value)
                   throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the string value at the designated column. An ODA runtime driver may or may not support setString() on a non-String type column. The format of the string parameter is implementation-dependent.

  Specified by:
    `setString` in interface `IParameterRowSet`
  Parameters:
    `columnName` - name of the column.
    `value` - the string value.
  Throws:
    `OdaException` - if data source error occurs.

### setDate

    public void setDate(int columnIndex,
                        java.sql.Date value)
                 throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the date value at the designated column.

  Specified by:
    `setDate` in interface `IParameterRowSet`
  Parameters:
    `columnIndex` - index of the column.
    `value` - the java.sql.Date value.
  Throws:
    `OdaException` - if data source error occurs.

### setDate

    public void setDate(java.lang.String columnName,
                        java.sql.Date value)
                 throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the date value at the designated column.

  Specified by:
    `setDate` in interface `IParameterRowSet`
  Parameters:
    `columnName` - name of the column.
    `value` - the java.sql.Date value.
  Throws:
    `OdaException` - if data source error occurs.

### setTime

    public void setTime(int columnIndex,
                        java.sql.Time value)
                 throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the time value at the designated column.

  Specified by:
    `setTime` in interface `IParameterRowSet`
  Parameters:
    `columnIndex` - index of the column.
    `value` - the java.sql.Time value.
  Throws:
    `OdaException` - if data source error occurs.

### setTime

    public void setTime(java.lang.String columnName,
                        java.sql.Time value)
                 throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the time value at the designated column.

  Specified by:
    `setTime` in interface `IParameterRowSet`
  Parameters:
    `columnName` - name of the column.
    `value` - the java.sql.Time value.
  Throws:
    `OdaException` - if data source error occurs.

### setTimestamp

    public void setTimestamp(int columnIndex,
                             java.sql.Timestamp value)
                      throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the time stamp value at the designated column.

  Specified by:
    `setTimestamp` in interface `IParameterRowSet`
  Parameters:
    `columnIndex` - index of the column.
    `value` - the java.sql.Timestamp value.
  Throws:
    `OdaException` - if data source error occurs.

### setTimestamp

    public void setTimestamp(java.lang.String columnName,
                             java.sql.Timestamp value)
                      throws OdaException

  Description copied from interface: `IParameterRowSet`
  Sets the time stamp value at the designated column.

  Specified by:
    `setTimestamp` in interface `IParameterRowSet`
  Parameters:
    `columnName` - name of the column.
    `value` - the java.sql.Timestamp value.
  Throws:
    `OdaException` - if data source error occurs.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.